Subject: [bug#76728] [PATCH] gnu: avogadro2: update to 1.100.0

From: Christopher Baines <[email-masked]>
Date: Fri, 11 Apr 2025 11:59:50 +0100

Jakob Kirsch via Guix-patches via <[email-masked]> writes:

> I fixed all the issues. It's good to merge now.
>
> [2. text/plain; 0001-gnu-avogadro2-update-to-1.100.0.patch]...

It would be clearer to add each new package in a separate commit/patch
rather than one big commit. Alternatively, I'm unsure if these new
packages should exist, why would someone install avogadro-fragments for
example? If they just exist to be symlinked in avogadrolibs, you can
directly pass the origin records you're using as sources for the new
packages as inputs.

Regarding the origin changes to spglib, doing the substitute* operations
as a package build phase is preferable if doing them on the source isn't
required since that results in one less derivation.

Thanks,

Chris